---
title: PushManager.unregister()
slug: Web/API/PushManager/unregister
tags:
  - API
  - Deprecated
  - Method
  - Reference
  - Simple Push API
---
<div>{{deprecated_header}}{{ ApiRef("Push API")}}</div>

<p>The <strong><code>unregister()</code></strong> method was used to ask the system to unregister and delete the specified endpoint. In the updated API, a subscription is can be unregistered via the {{domxref("PushSubscription.unsubscribe()")}} method.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>request</var> = navigator.push.unregister(<var>pushEndpoint</var>);</pre>

<h3 id="Properties">Properties</h3>

<dl>
 <dt>pushEndpoint</dt>
 <dd>A pushEndpoint to be unregistered.</dd>
</dl>

<h3 id="Return">Return</h3>

<p>A {{domxref("DOMRequest")}} object to handle the success or failure of the method call.</p>

<p>If the method call is successful, the request's <code>result</code> will be a {{Anch("PushRegistration")}} object representing the endpoint that has been unregistered.</p>

<h3 id="PushRegistration">PushRegistration</h3>

<p>Those objects are anonymous JavaScript objects with the following properties:</p>

<dl>
 <dt><code>pushEndpoint</code></dt>
 <dd>A string representing the URL of the unregistered endpoint.</dd>
 <dt><code>version</code></dt>
 <dd><code>Undefined</code> when <code>unregister.onsuccess</code> is called.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var req = navigator.push.unregister(pushEndpoint);

req.onsuccess = function(e) {
  var endpoint = req.result;
  debug("Unregistered endpoint: " + endpoint );
}

req.onerror = function(e) {
  debug("Error unregistering the endpoint: " + JSON.stringify(e));
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Push API')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Defines the <code>PushManager</code> interface.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PushManager.unregister")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("PushManager")}}</li>
 <li>{{domxref("DOMRequest")}}</li>
</ul>
